Subject: Re: [hybi] Last Call: <draft-yevstifeyev-http-headers-not-recognized-08.txt> ('Headers-Not-Recognized' HTTP Header Field) to Experimental RFC

From: Mykyta Yevstifeyev <[email-masked]>
Date: Mon, 13 Dec 2010 16:08:44 +0200

Hello all,

[To HYBI list members: I am sending the copy of the letter to your list 
following the advice of L. Wood (see below).]

L. Wood, the reference you have mentioned does not seem to concern ti 
Content-* headers. Moreover, HTTP clients are not able to generate 
answer codes, but only requests. This makes your proposal impossible to 
implement.

Secondly, proxies usually do not generate separate requests to HTTP 
servers but only pass them through. So this will not make any problems.

Best regards,
Mykyta Yevstifeyev

13.12.2010 16:00, [email-masked] wrote:
> This draft does not discuss the Content-* rule. Content-* headers are special, in that they may not be ignored (section 9.6 of [RFC2616]).  Recipients not understanding Content-blah: will generate a "501 (Not Implemented)" error code. That overrides the proposal below, I think.
>
> The proposal in the draft doesn't appear to work with proxies, which often may be passing through headers that they themselves don't understand.
>
> This draft does not appear to be associated with a working group. I suggest discussing this on the hybi mailing list; it's a little offtopic, but a bunch of http experts do read that list and can offer comments.
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of The IESG
> Sent: 13 December 2010 13:28
> To: IETF-Announce
> Subject: Last Call:<draft-yevstifeyev-http-headers-not-recognized-08.txt>  ('Headers-Not-Recognized' HTTP Header Field) to Experimental RFC
>
>
> The IESG has received a request from an individual submitter to consider the following document:
> - ''Headers-Not-Recognized' HTTP Header Field'
>    <draft-yevstifeyev-http-headers-not-recognized-08.txt>  as an Experimental RFC
>
> The IESG plans to make a decision in the next few weeks, and solicits final comments on this action. Please send substantive comments to the [email-masked] mailing lists by 2011-01-14. Exceptionally, comments may be sent to [email-masked] instead. In either case, please retain the beginning of the Subject line to allow automated sorting.
>
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-yevstifeyev-http-headers-not-recognized/
>
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-yevstifeyev-http-headers-not-recognized/
>
>
> No IPR declarations have been submitted directly on this I-D.
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce
>